<?php
include '../comunes_php/cors.php';
 
    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
    $parametros = print_r($_POST,TRUE);
    fwrite($myfile, "\n");
    fwrite($myfile, "---------------------------". date("Y-m-d H:i:s") ."--------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "----------------------------nuevo registro log-------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "-----------------------------------------------------------------------------------------------------");
    
    fwrite($myfile, "\n");
    
    fwrite($myfile, $parametros);
    fclose($myfile);    

    
    include '../rdb/conn.php';

    //tengo que ver como se llamo , si con o sin mail. Si idc vino poblado es sin mail..
    
    if (isset($_REQUEST['idc'])) {
        $id=    isset($_REQUEST['idc']) ? (is_null($_REQUEST['idc'])? NULL:$_REQUEST['idc']) : NULL;
        $mail=    'no';
        $usuario_id= isset($_REQUEST['usuario_idc']) ?(is_null($_REQUEST['usuario_idc'])?  '1':$_REQUEST['usuario_idc']) : '1';
    

    
} else {
        $id=    isset($_REQUEST['id']) ? (is_null($_REQUEST['id'])? NULL:$_REQUEST['id']) : NULL;
        $mail=    'si';
    
       	$fecha_iniciado=    isset($_REQUEST['fecha_iniciado']) ? (is_null($_REQUEST['fecha_iniciado'])? NULL:$_REQUEST['fecha_iniciado']) : NULL;
    	$cliente= isset($_REQUEST['cliente']) ?(is_null($_REQUEST['cliente'])?  '-1':$_REQUEST['cliente']) : '-1';
        $usuario_id= isset($_REQUEST['usuario_id']) ?(is_null($_REQUEST['usuario_id'])?  '-1':$_REQUEST['usuario_id']) : '-1';


}	    

try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");



            $sql  ="UPDATE  contratos_cabecera set estado_id=2 where id=$id";
            mysqli_query( $conn,$sql);
            
            $actualizados=mysqli_affected_rows($conn);

            $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
            fwrite($myfile, "\n");  
            fwrite($myfile, date("Y-m-d H:i:s")." sin mail");
            fwrite($myfile, "\n");  
            fwrite($myfile, $sql);
            fclose($myfile);
            
            
            
            $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
            fwrite($myfile, "\n");  
            fwrite($myfile, date("Y-m-d H:i:s"));
            fwrite($myfile, "\n");  
            fwrite($myfile, $actualizados);
            fclose($myfile);
            
         	if ($actualizados==1) {
         	    $sql  ="INSERT INTO estados_de_contrato(contrato_id, fecha, usuario_id, tipo_estado_id, observaciones, borrado) VALUES ";
                $sql  .="   ($id,now(),$usuario_id,2,'Contrato Aprobado ',0)";
            
                $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
                fwrite($myfile, "\n");  
                fwrite($myfile, date("Y-m-d H:i:s")." sin mail");
                fwrite($myfile, "\n");  
                fwrite($myfile, $sql);
                fclose($myfile);
            
                mysqli_query( $conn,$sql);
                $actualizados=mysqli_affected_rows($conn);
         	}             
            
           
         	



    mysqli_query( $conn,"COMMIT");
    
    
    
    
                    $result["actualizados"]=$actualizados;
                    if ($actualizados>0) {
                    $result["estado"]=true;
                    $result["msg"] = "contrato actualizado. ";
                    } else
                    {
                    $result["estado"]=false;
                    $result["msg"] = "No se realizo Ninguna actualizacion en la base de datos.";
                        
                    }
    
                   echo json_encode($result);

    //---------------------------------------
    
    if ($mail=='no') {exit; }
    
       $sql= "SELECT * FROM `vw_contratos` where id= ".$id ; 
	
     $resultado = mysqli_query( $conn,$sql);
     while ($row= mysqli_fetch_array($resultado, MYSQL_ASSOC)) {

    	$cliente = $row["cliente"];
    	$para=$row["email"];
	    $fecha_iniciado = date("d-m-Y", strtotime($row["fecha_iniciado"]));   ;
	    $id = $row["id"];
	    $total = $row["total"];
	    $vendedor= $row["vendedor"];
	    $tipo_envio= $row["tipo_envio"];
	    $telefono_1= $row["telefono_1"];
	    $telefono_2= $row["telefono_2"];
	    $direccion= $row["direccion"];
	    $email= $row["email"];
	    $tarjeta=$row["tarjeta"];
	    $subtotal=$row["subtotal"];
	    $envio=$row["envio"];
	    $armado=$row["armado"];
	    $escalera=$row["escalera"];
	    $demora=$row["demora"];
	    $zona=$row["zona"];

	    $horarios_en_sabado=$row["horarios_en_sabado"];
	    $horarios_en_semana=$row["horarios_en_semana"];

	    $reclamo="";
	    $productos='<font color="#000000" face="Arial, Helvetica, sans-serif" size="2">Detalle del contrato ('.($tarjeta=='on'?'Pago con Tarjeta':'Pago Contado').')</font> '  ;  
	    //Desde aca  contenido del presupuesto, es decir los productos y adicionales
            if($envio<>'0') {
                $productos.='<p>Direccion: '.$direccion.' '.$zona.'</p>';
                $productos.='<p>Horarios de entrega</p>';
                $productos.='<p>Sabado:'.$horarios_en_sabado.'</p>'; 
                $productos.='<p>Semana:'.$horarios_en_semana.'</p>'; 
                $productos.='<p>Demora:'.$demora.' dias</p>'; 

            }

	    $productos.='<p>Productos</p>';
	    $productos.='<ol>';
        if ($tarjeta=='on') {
            $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , 0 precio ,  cd.precio tarjeta ,0 cantidad, 0 subtotal,renglon_id,contrato_id  from  ";
            $sql.="contratos_detalle cd, productos p  ";
            $sql.="where  ";
            $sql.="cd.producto_id=p.id  ";
            
            
            $sql.=" and cd.contrato_id=$id ";
            
        
            $sql.=$where;
            $sql.=" order by cd.renglon_id ";
            $rs = mysqli_query( $conn,$sql);
        
        }
        else
        {
            $sql="select concat(cd.renglon_id,'.',p.id) id, p.nombre  , cd.precio precio , 	0 tarjeta, 0 cantidad, 0 subtotal,renglon_id,contrato_id from  ";
            $sql.="contratos_detalle cd, productos p  ";
            $sql.="where  ";
            $sql.="cd.producto_id=p.id  ";
            
            $sql.=" and cd.contrato_id=$id ";
            
        
            $sql.=" order by cd.renglon_id ";
            $rs = mysqli_query( $conn,$sql);
        
        }
    
    
    
      
	    
	    
	    
	    
		$titulo = 'Confirmación de presupuesto';

		// mensaje
		$mensaje = '<html>
                        		<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
                        			<title>DaniPlacard</title>
                        		</head>
                        <body>
                        <img data-placeholder="no" src="http://www.daniplacard.com/website/images/danyplacard.png" alt="Dany Placard - Fabrica de placards" style="width:320px;height:64px;"> 
                         <p>Su contrato fue aceptado y ya fue derivado a fabrica. 
                         Estableceremos contacto el dia de la entrega</p>
                        </body>
                        </html>';
                        
                   
                        
        $mail_admin="parra.marcelo@gmail.com";
		// Para enviar un correo HTML, debe establecerse la cabecera Content-type
		$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
		$cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";

		// Cabeceras adicionales
		$cabeceras .= 'To: '. $email . "\r\n";
		$cabeceras .= 'From: '.$mail_admin. "\r\n";
		//$cabeceras .= 'Cc: '.$mail_cc . "\r\n";
		//$cabeceras .= 'Bcc: '. $mail_creha  . "\r\n";
		$cabeceras .= 'Reply-To: '.$mail_admin ;
        

     mail($para, $titulo , $mensaje, $cabeceras);
     //echo "<script lenguaje=\"JavaScript\">window.close();</script>";


	

		
	}
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    //---------------------------------------
    
    

} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");
        $result["msg"] = "Errores grabando en la base de datos: ".$error->getMessage();
        $result["estado"]=false;
        $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
        fwrite($myfile, "\n");  
        fwrite($myfile, date("Y-m-d H:i:s").$result["msg"] );
        fwrite($myfile, "\n");  
        fwrite($myfile, $sql);
        fclose($myfile);

echo json_encode($result);
	
}
    
  
?>